%define	oname		OGRE
%define	name		ogre
%define	version		1.0.0
%define rel		2
%define	release		%mkrel_fixed %rel
%define mkrel_fixed(c:) %{-c: 0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(\\d+)$/;$rel=${1}-1;re;print "$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}

%define	major		5
%define	lib_name_orig	lib%{name}
%define	lib_name	%mklibname %{name} %{major}
%define	lib_name_devel	%mklibname %{name} %{major} -d
%{expand:%%define filever %(echo v%{version}| tr . -)}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-linux_osx-%{filever}.tar.bz2
License:	LGPL
Group:		System/Libraries
URL:		http://www.ogre3d.org/
Summary:	Object-Oriented Graphics Rendering Engine
BuildRequires:	zlib-devel devil-devel >= 1.6.6-3mdk XFree86-devel MesaGLU-devel
BuildRequires:	jpeg-devel mng-devel tiff-devel SDL-devel lcms-devel nas-devel
BuildRequires:	gtkmm2.0-devel libglademm-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
OGRE  (Object-Oriented  Graphics  Rendering  Engine)  is a scene-oriented,
flexible 3D engine written in C++ designed to make it easier  and  more
intuitive for developers to produce games and demos utilising 3D hardware.
The class library abstracts all the details  of  using the underlying system
libraries like Direct3D and OpenGL and provides an interface based on world
objects and other intuitive classes.

%package -n	%{lib_name}
Summary:	Libraries needed for programs using %{oname}
Group:		System/Libraries
Provides:	%{lib_name_orig}
Provides:	%{name}

%description -n	%{lib_name}
OGRE  (Object-Oriented  Graphics  Rendering  Engine)  is a scene-oriented,
flexible 3D engine written in C++ designed to make it easier  and  more
intuitive for developers to produce games and demos utilising 3D hardware.
The class library abstracts all the details  of  using the underlying system
libraries like Direct3D and OpenGL and provides an interface based on world
objects and other intuitive classes.

%package -n	%{lib_name_devel}
Summary:	Development headers and libraries for writing programs using %{oname}
Group:		Development/C++
Requires:	%{lib_name} = %{version}
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{lib_name_devel}
Development headers and libraries for writing programs using %{oname}

%prep
%setup -q -n %{name}new
find -type d -name CVS|xargs rm -rf

%build
%configure2_5x	--with-pic \
		--with-cfgtk=gtk \
		--with-platform=SDL \
		--with-gl-support=SDL \
		--disable-cg
%make

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{makeinstall}

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -n %{lib_name}
%defattr(644,root,root,755)
%doc AUTHORS BUGS LINUX.DEV
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/*.so.*
%{_libdir}/%{oname}
%{_datadir}/%{oname}

%files -n %{lib_name_devel}
%defattr(644,root,root,755)
%doc Docs/*
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/*.la
%{_libdir}/pkgconfig/%{oname}.pc
%{_includedir}/%{oname}

%changelog
* Fri Apr 15 2005 Guillaume Bedot <littletux@mandriva.org>  1.0.0-2mdk
- rebuilt with devil built with allegro-testing.
- use mkrel.

* Tue Mar 01 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.0-1mdk
- 1.0.0
- new major 5
- drop P2, the possibility to disable cg has finally been added upstream:)
- nuke static devel package

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.15.2-1mdk
- 0.15.2

* Thu Jan 13 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.15.1-1mdk
- 0.15.1

* Wed Jun 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.14.0-2mdk
- rebuild

* Fri May 21 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.14.0-1mdk
- 0.14.1

* Fri Apr 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.13.1-1mdk
- 0.13.1

* Thu Feb 05 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.13.0-1mdk
- 0.13.0
- update url

* Fri Nov 28 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.12.2-1mdk
- 0.12.2
- fix buildrequires
- macro for version name in file
- fix permissions for docs

* Wed Oct 29 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.12.1-1mdk
- 0.12.1
- fix buildrequires (lib64..)
- drop P0 & P1
- use gtk for cfgtk
- new major 1

* Wed Jul 09 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.10.0-3mdk
- rebuild
- use %%mklibname for devel packages

* Fri Apr 25 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.10.0-2mdk
- fixed buildrequires

* Sat Apr 12 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.10.0-1mdk
- initial mdk release
